PPROF2CALLTREE(1)

NAME
pprof2calltree - convert APD profiling data to KCachegrind calltree format

SYNOPSIS
pprof2calltree -f input

DESCRIPTION
pprof2calltree reads the pprof profiling data output by APD (http://pecl.php.net/apd/), and converts it into calltree format for use by KCachegrind.

This utility is part of the TDE Software Development Kit.

OPTIONS

-f input
    Specifies the APD pprof trace file to convert. This generally has a name of the form pprof.XXXXX.Y. The calltree output for KCachegrind will then be written to the file cachegrind.out.XXXXX.Y.

EXAMPLE
Suppose you profile a script with APD and obtain the pprof trace file pprof.12345.1. You can then work with this data in KCachegrind as follows.

    pprof2calltree -f pprof.12345.1
    tdecachegrind cachegrind.out.12345.1

SEE ALSO
tdecachegrind(1).

AUTHOR
This converter was written by George Schlossnagle <george@omniti.com>.
This manual page was prepared by Ben Burton <bab@debian.org> for the Debian GNU/Linux system (but may be used by others).